Skip to main content

List Grant Logs

This endpoint is used to list logs associated with Grants within the HaaS.

Purpose​

The purpose of this endpoint is to provide a list of log messages associated with a specific Grant. The logs contain a detailed breakdown of activities associated with grant creation, amendment and individual tokens issued.

This endpoint has previously supplied a text description within the content attribute, but as of Vega / Management API 1.17.0 the response now includes a grantEventUType and detailed responses for the GRANT_CREATION_EVENT and GRANT_AMENDMENT_EVENT types.

This extra information is required to meet the obligations of the 2024 Q2 CX FDO.

Management API​

List Grant Logs​

Loading...

Β 

Data Adapter Endpoint​

N/A

Endpoint Specific Guidance​

  • This endpoint currently returns a text description within the content attribute for all events.
  • For events with a GRANT_CREATION_EVENT or GRANT_AMENDMENT_EVENT will contain a grantCreationEvent or grantAmendmentEvent respectively
  • These two events are what is needed to display the consent history as shown in the Biza mockups
  • You may filter to just those two events by sending two eventType query params to filter to just this log events